﻿// <auto-generated />
using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using Npgsql.EntityFrameworkCore.PostgreSQL.Metadata;
using OTUS_HW6_DB;

namespace OTUS_HW6_DB.Migrations
{
    [DbContext(typeof(DataContext))]
    [Migration("20210708073015_InitialCreate")]
    partial class InitialCreate
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("Relational:MaxIdentifierLength", 63)
                .HasAnnotation("ProductVersion", "5.0.7")
                .HasAnnotation("Npgsql:ValueGenerationStrategy", NpgsqlValueGenerationStrategy.IdentityByDefaultColumn);

            modelBuilder.Entity("OTUS_HW6_DB.Entities.Item", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint")
                        .HasAnnotation("Npgsql:ValueGenerationStrategy", NpgsqlValueGenerationStrategy.IdentityByDefaultColumn);

                    b.Property<DateTime>("DateCreated")
                        .HasColumnType("timestamp without time zone")
                        .HasComment("Дата создания");

                    b.Property<string>("Description")
                        .HasColumnType("text");

                    b.Property<string>("Name")
                        .HasColumnType("text");

                    b.HasKey("Id");

                    b.ToTable("Items");

                    b
                        .HasComment("Товары");

                    b.HasData(
                        new
                        {
                            Id = 1L,
                            DateCreated = new DateTime(2021, 7, 8, 13, 30, 14, 728, DateTimeKind.Local).AddTicks(1230),
                            Description = "512 Gb",
                            Name = "IPhone 12"
                        },
                        new
                        {
                            Id = 2L,
                            DateCreated = new DateTime(2021, 7, 8, 13, 30, 14, 728, DateTimeKind.Local).AddTicks(1237),
                            Description = "Series 6",
                            Name = "Apple Watch"
                        },
                        new
                        {
                            Id = 3L,
                            DateCreated = new DateTime(2021, 7, 8, 13, 30, 14, 728, DateTimeKind.Local).AddTicks(1238),
                            Description = "wireless charge",
                            Name = "Airpods"
                        },
                        new
                        {
                            Id = 4L,
                            DateCreated = new DateTime(2021, 7, 8, 13, 30, 14, 728, DateTimeKind.Local).AddTicks(1239),
                            Description = "Apple IPad 12.9",
                            Name = "Ipad"
                        },
                        new
                        {
                            Id = 5L,
                            DateCreated = new DateTime(2021, 7, 8, 13, 30, 14, 728, DateTimeKind.Local).AddTicks(1240),
                            Description = "Macbook Air 13.3",
                            Name = "Macbook Air"
                        });
                });

            modelBuilder.Entity("OTUS_HW6_DB.Entities.Offer", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint")
                        .HasColumnName("offer_id")
                        .HasComment("PK")
                        .HasAnnotation("Npgsql:ValueGenerationStrategy", NpgsqlValueGenerationStrategy.IdentityByDefaultColumn);

                    b.Property<DateTime>("DateCreated")
                        .HasColumnType("timestamp without time zone");

                    b.Property<long>("ItemId")
                        .HasColumnType("bigint")
                        .HasColumnName("item_id")
                        .HasComment("items FK");

                    b.Property<decimal>("Price")
                        .HasColumnType("numeric");

                    b.Property<long>("SellerId")
                        .HasColumnType("bigint")
                        .HasColumnName("seller_id")
                        .HasComment("sellers FK");

                    b.HasKey("Id");

                    b.HasIndex("ItemId");

                    b.HasIndex("SellerId");

                    b.ToTable("Offers");

                    b
                        .HasComment("Предложения от продавцов");
                });

            modelBuilder.Entity("OTUS_HW6_DB.Entities.Seller", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint")
                        .HasColumnName("seller_id")
                        .HasComment("PK")
                        .HasAnnotation("Npgsql:ValueGenerationStrategy", NpgsqlValueGenerationStrategy.IdentityByDefaultColumn);

                    b.Property<DateTime>("DateCreated")
                        .HasColumnType("timestamp without time zone")
                        .HasColumnName("date_created")
                        .HasComment("Дата регистрации");

                    b.Property<string>("Email")
                        .HasColumnType("text");

                    b.Property<string>("Name")
                        .HasColumnType("text")
                        .HasColumnName("firstname")
                        .HasComment("First name");

                    b.Property<string>("Phone")
                        .HasColumnType("text");

                    b.HasKey("Id");

                    b.ToTable("Sellers");

                    b
                        .HasComment("Продавцы");

                    b.HasData(
                        new
                        {
                            Id = 1L,
                            DateCreated = new DateTime(2021, 7, 8, 13, 30, 14, 726, DateTimeKind.Local).AddTicks(58),
                            Name = "IPhone 12"
                        },
                        new
                        {
                            Id = 2L,
                            DateCreated = new DateTime(2021, 7, 8, 13, 30, 14, 726, DateTimeKind.Local).AddTicks(8074),
                            Name = "Apple Watch"
                        },
                        new
                        {
                            Id = 3L,
                            DateCreated = new DateTime(2021, 7, 8, 13, 30, 14, 726, DateTimeKind.Local).AddTicks(8089),
                            Name = "Airpods"
                        },
                        new
                        {
                            Id = 4L,
                            DateCreated = new DateTime(2021, 7, 8, 13, 30, 14, 726, DateTimeKind.Local).AddTicks(8091),
                            Name = "Ipad"
                        },
                        new
                        {
                            Id = 5L,
                            DateCreated = new DateTime(2021, 7, 8, 13, 30, 14, 726, DateTimeKind.Local).AddTicks(8092),
                            Name = "Macbook Air"
                        });
                });

            modelBuilder.Entity("OTUS_HW6_DB.Entities.Offer", b =>
                {
                    b.HasOne("OTUS_HW6_DB.Entities.Item", "Item")
                        .WithMany("Sellers")
                        .HasForeignKey("ItemId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("OTUS_HW6_DB.Entities.Seller", "Seller")
                        .WithMany("Items")
                        .HasForeignKey("SellerId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("Item");

                    b.Navigation("Seller");
                });

            modelBuilder.Entity("OTUS_HW6_DB.Entities.Item", b =>
                {
                    b.Navigation("Sellers");
                });

            modelBuilder.Entity("OTUS_HW6_DB.Entities.Seller", b =>
                {
                    b.Navigation("Items");
                });
#pragma warning restore 612, 618
        }
    }
}
